gfx_mode_select(3)

NAME
gfx_mode_select - Displays the Allegro graphics mode selection dialog.

SYNOPSIS
#include <allegro.h>

int gfx_mode_select(int *card, int *w, int *h);

DESCRIPTION
Displays the Allegro graphics mode selection dialog, which allows the user to select a screen mode and graphics card. The initial values at the addresses provided by card, w, and h are used as the default selections in the dialog if they are found in the driver and mode lists. If they are not found then the initial selections will be the first in each list. If you wish to ensure that the initial selection is always the first entry, then initialize the data at the addresses passed to the function to the value of 0 or -1. If the dialog is OK'd, it stores the selections at the addresses passed to the function.

RETURN VALUE
See the gfx_mode_select_filter function for the return values.

SEE ALSO
gfx_mode_select_ex(3), gfx_mode_select_filter(3), set_gfx_mode(3), gui_fg_color(3)